Bug 103285 - konqueror renders bugzilla.ubuntu.com wrong
Summary: konqueror renders bugzilla.ubuntu.com wrong
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: khtml renderer (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-05 13:37 UTC by Tom Fernandes
Modified: 2006-04-04 18:58 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Fernandes 2005-04-05 13:37:50 UTC
Version:            (using KDE KDE 3.4.0)
Installed from:    Unspecified
Compiler:          gcc 3.3.5 
OS:                Linux

konqueror renders some parts of bugzilla.ubuntu.com wrong. Text is overlapping.

To recreate this:
 
 * go to https://bugzilla.ubuntu.com
 * click on "Log into an existing account"
 * provide the login details and click on "Login"
 * "Saved Searches" is overlapping "My Bugs" in the
    lower left corner

A snapshot to show this is provided at

http://halls.debian.net/~tom/snapshots/konqueror_wrong_rendering.png

This happens in kubuntu-version 4:3.4.0-0ubuntu12 of konqueror
Comment 1 lexual 2005-07-07 00:28:54 UTC
still an issue for 3.4.1
Comment 2 Maksim Orlovich 2005-07-08 00:12:52 UTC
Likely testcase (from opendarwin bugzilla install,  not Ubuntu's):
<style type="text/css">
    /* we somehow manage to miss this, Moz applies it */
    [id]#footer .label
    {
        border: 1px solid red;
    }

</style>

<div id="footer">
  <div id="links-actions"> <!-- if no ID, we match stuff! -->
    <div class="label">Actions:</div>
  </div>
</div>

Comment 3 Maksim Orlovich 2005-07-08 00:18:59 UTC
I am gonna pretend CSS selectors are rendering
Comment 4 Allan Sandfeld 2006-04-04 18:58:48 UTC
SVN commit 526442 by carewolf:

Implement nondeterministic CSS matching
BUG: 103285
BUG: 101115


 M  +8 -1      ChangeLog  
 M  +128 -99   css/cssstyleselector.cpp  
 M  +3 -1      css/cssstyleselector.h